org.hibernate.search.query.dsl.impl

## Class ConnectedAllContext

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedAllContext

- All Implemented Interfaces:
    AllContext, QueryCustomization<AllContext>, Termination<AllContext>

      public class ConnectedAllContext
      extends Object
      implements AllContext

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedAllContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AllContext` | `boostedTo(float boost)` Boost the query to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
    `Query` | `createQuery()` Return the lucene query representing the operation
    `AllContext` | `except(Query... queriesMatchingExcludedDocuments)` Exclude the documents matching these queries
    `AllContext` | `filteredBy(Query filter)` Filter the query results with the given Query instance
    `AllContext` | `withConstantScore()` All results matching the query have a constant score equals to the boost FIXME is that true?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedAllContext

          public ConnectedAllContext()

  - ### Method Detail

    - #### createQuery

          public Query createQuery()

      Description copied from interface: `Termination`
      Return the lucene query representing the operation
      Specified by:
        `createQuery` in interface `Termination<AllContext>`
      Returns:
        the lucene query representing the operation

    - #### except

          public AllContext except(Query... queriesMatchingExcludedDocuments)

      Description copied from interface: `AllContext`
      Exclude the documents matching these queries
      Specified by:
        `except` in interface `AllContext`
      Parameters:
        `queriesMatchingExcludedDocuments` - the queries to use for excluding documents
      Returns:
        `this` for method chaining

    - #### boostedTo

          public AllContext boostedTo(float boost)

      Description copied from interface: `QueryCustomization`
      Boost the query to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
      Specified by:
        `boostedTo` in interface `QueryCustomization<AllContext>`
      Parameters:
        `boost` - the value to use as boost
      Returns:
        an instance of T for method chaining

    - #### withConstantScore

          public AllContext withConstantScore()

      Description copied from interface: `QueryCustomization`
      All results matching the query have a constant score equals to the boost FIXME is that true?
      Specified by:
        `withConstantScore` in interface `QueryCustomization<AllContext>`
      Returns:
        an instance of T for method chaining

    - #### filteredBy

          public AllContext filteredBy(Query filter)

      Description copied from interface: `QueryCustomization`
      Filter the query results with the given Query instance
      Specified by:
        `filteredBy` in interface `QueryCustomization<AllContext>`
      Parameters:
        `filter` - the Query to use as a filter
      Returns:
        an instance of T for method chaining

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved